Page MenuHomePhabricator

Backspace during mobile editing moves viewing window to the top
Closed, ResolvedPublic

Description

On Android 4.4 using Chrome beta 60.0.3112 or Opera Mini 28.0.2254, I access a mobile Wikipedia page such as https://en.m.wikipedia.org/wiki/Hanoi as a logged-out user. I start to edit the page, scroll two screenfuls down, and delete a character with backspace. At this point the viewing window jumps up about a screenful, so that the cursor is not visible anymore. If I then enter a character, the viewing window jumps back to the cursor, and the character is properly inserted.

My phone's screen is rather small (Samsung Galaxy S2) and while editing it shows only 9 lines of text above the keyboard. I believe this is part of the problem. The jumping-while-editing can also be observed when editing a mobile Wikipedia page with a desktop browser, but there it doesn't cause problems since there is no keyboard obscuring screen real estate.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterDo not jump to top of text editor during typing

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2017, 12:50 PM
bmansurov moved this task from Needs triage to Triaged on the Mobile board.Aug 9 2017, 1:33 PM
Deskana moved this task from To Triage to Freezer on the VisualEditor board.Aug 29 2017, 7:16 PM

Is this still a problem?
I remember being plagued by this issue a while back and believe it's fixed.

Change 496682 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] iOS: Do not jump to top of text editor during typing

https://gerrit.wikimedia.org/r/496682

AxelBoldt closed this task as Resolved.Mar 15 2019, 12:26 AM
AxelBoldt claimed this task.

I'm currently on Android 8.1 running Chrome beta 73.0.3683.75, still on the small Galaxy S2, and the bug as described above is not present anymore. I'm closing as resolved.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 15 2019, 12:26 AM

Change 496682 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Do not jump to top of text editor during typing

https://gerrit.wikimedia.org/r/496682